Skip to main content
GET
/
workspaces
/
{workspaceId}
/
accounts
/
{accountId}
Get Account by ID
curl --request GET \
  --url https://api.bron.org/workspaces/{workspaceId}/accounts/{accountId}
import requests

url = "https://api.bron.org/workspaces/{workspaceId}/accounts/{accountId}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.bron.org/workspaces/{workspaceId}/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "accountId": "<string>",
  "accountName": "<string>",
  "accountType": "vault",
  "createdAt": "<string>",
  "externalId": "<string>",
  "workspaceId": "<string>",
  "createdBy": "<string>",
  "extra": {},
  "icon": "<string>",
  "isTestnet": true,
  "parentAccountId": "<string>",
  "updatedAt": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Path Parameters

workspaceId
string
required
accountId
string
required

Response

OK

accountId
string
required
Example:

"bin11066zbf15owuxn9ohrvg"

accountName
string
required
Example:

"Default vault"

accountType
enum<string>
required
Available options:
vault
createdAt
string<date-time-millis>
required
Example:

"1742572023000"

externalId
string
required

Unique external ID for the account

Example:

"aqm4857o9fvc1iyjm3vi72es"

status
enum<string>
required
Available options:
active,
archived,
shard-generating,
error-on-generating
workspaceId
string
required
Example:

"liya1seswlrlydfpy5xzulsz"

createdBy
string
Example:

"htp1jwoa1qk8m8cw2dc8th4z"

extra
object

Account extra data

icon
string

Account icon: image path (e.g. 'accounts/logos/abc.png') or 'emoji:' (e.g. 'emoji:🚀')

Example:

"emoji:🚀"

isTestnet
boolean

Flag to indicate if the account is a testnet account

parentAccountId
string

Parent account ID

updatedAt
string<date-time-millis>
Example:

"1742572023000"